%{?nodejs_find_provides_and_requires}

%global packagename delete
%global enable_tests 1

Name:		nodejs-delete
Version:	0.3.2
Release:	1%{?dist}
Summary:	Delete files and folders and any intermediate directories

License:	MIT
URL:		https://github.com/jonschlinkert/delete
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Also, the author didn't tag the 0.3.2 release in Github, so pull from master
Source1:	https://raw.githubusercontent.com/jonschlinkert/delete/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(lazy-cache)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(matched)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(should)
%endif

%description
Delete files and folders and any intermediate directories if they exist (sync
and async).


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep lazy-cache

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.2-1
- Initial packaging
